#ifndef INC_GTERROR_H
#define INC_GTERROR_H

#include <stdarg.h>

#include "gtbase.h"
#include "gtcblist.h"

/************************************************************************\
*
* Error handling functions.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Type of callback data for error callback */
typedef struct GtErrorCD
{
	GtBase *obj;
	ulong ecode;
	char *fmtstr;
	va_list valist;
} GtErrorCD;

/* Error codes */
#define GTEC_NOMEMORY			1
#define GTEC_NOOBJECT			2
#define GTEC_NODISPLAY		3
#define GTEC_NOXRESOURCE	4
#define GTEC_NOADD				5
#define GTEC_NOAPP				6
#define GTEC_MISC					7

extern void GtPrintError(GtBase *obj,char *fmt,va_list va);
extern void GtError(GtBase *obj,ulong ecode,char *fmt,...);
extern void GtAddErrorCB(GtCallB cb,GtUDPtr ud);
extern void GtRemErrorCB(GtCallB cb);

#endif /* INC_GTERROR_H */
